Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.net.ftp
Class FileTransferInputStream

    java.lang.Object
      java.io.InputStream
          com.enterprisedt.net.ftp.FileTransferInputStream

All Implemented Interfaces:
  java.io.Closeable

Direct Known Subclasses:
  AbstractFTPInputStream, FTPInputStream

    public abstract class FileTransferInputStream

extends java.io.InputStream

Super class of all input streams supported

Version:
  $Revision: 1.3 $
Author:
  Bruce Blackshaw

Field Summary
`protected boolean` | `closed` Has the stream been closed?
`protected FTPProgressMonitor` | `monitor` Progress monitor reference
`protected long` | `monitorCount` Count of byte since last the progress monitor was notified.
`protected FTPProgressMonitorEx` | `monitorEx` Progress monitor reference
`protected long` | `monitorInterval` Interval that we notify the monitor of progress
`protected long` | `pos` Byte position in file
`protected java.lang.String` | `remoteFile` Name of remote file being transferred
`protected boolean` | `started` Flag to indicated we've started downloading

Constructor Summary
`FileTransferInputStream()`

Method Summary
`protected void` | `checkMonitor()` Check if time to invoke the monitor
`java.lang.String` | `getRemoteFile()` Get the name of the remote file
`void` | `setMonitor(FTPProgressMonitorEx monitor, long monitorInterval)` The input stream uses the progress monitor currently owned by the FTP client.

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### remoteFile

    protected java.lang.String remoteFile

  Name of remote file being transferred

### closed

    protected boolean closed

  Has the stream been closed?

### monitorInterval

    protected long monitorInterval

  Interval that we notify the monitor of progress

### pos

    protected long pos

  Byte position in file

### monitorCount

    protected long monitorCount

  Count of byte since last the progress monitor was notified.

### monitor

    protected FTPProgressMonitor monitor

  Progress monitor reference

### monitorEx

    protected FTPProgressMonitorEx monitorEx

  Progress monitor reference

### started

    protected boolean started

  Flag to indicated we've started downloading

Constructor Detail

### FileTransferInputStream

    public FileTransferInputStream()

Method Detail

### getRemoteFile

    public java.lang.String getRemoteFile()

  Get the name of the remote file

  Returns:
    remote filename

### setMonitor

    public void setMonitor(FTPProgressMonitorEx monitor,
                           long monitorInterval)

  The input stream uses the progress monitor currently owned by the FTP client. This method allows a different progress monitor to be passed in, or for the monitor interval to be altered.

  Parameters:
    `monitor` - progress monitor reference
    `monitorInterval` -

### checkMonitor

    protected void checkMonitor()

  Check if time to invoke the monitor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.